#include <iostream>

using namespace std;

class A { public:
  virtual char f() = 0;
};
class B : public A { public:
  virtual char f() { return 'B'; }
};

int main() {
  B b; cout << b.f() << endl;
}
